/***********************************************************
        	      (C) Copyright 1993
		Curtin University of Technology
		    Perth Western Australia



 This software is provided as is without any warranty express
 or implied.  Curtin University make no representation as to its
 suitability for any purpose whatsoever.

 Permission to use, modify or copy this software and its
 documentation is hereby granted to the source license holder.
 It is an express condition of such permission that the user
 accepts all responsibility for the use of the software and
 further that:

 1.    this notice appears in any copies of the software and the
       supporting documentation; and

 2.    the name of Curtin University not be used in any
       advertising or publicity pertaining to the software nor
       used to endorse or promote any product derived from this
       software without prior specific written permission.

 3.    the software in source form may not be given to any
       party other than those listed on the source license.

******************************************************************/
static char sccsid[] = "@(#)htext.c	1.4	6/10/93";

#include "geotraceman.h"

#define UNIX_MAXNAMLEN		1024

/* functions defined here */
double  hgetstrwidth (), getstrwidth ();
int hgetstrheight();
float   getstrheight ();

#ifdef HERSHEY
double
hgetstrwidth (string)
char   *string;
{
    double  width = 0.0;
    float   h, w;

    for (; *string; string++) {
	hgetcharsize (*string, &w, &h);
	width += (double) w;
    }

    return (width);
}

int
hgetstrheight (string)
char   *string;
{
	int  height = 0.0;
	float   h, w;

	hgetcharsize (*string, &w, &h);
	height = (int) h;	
/*fprintf(stderr, "height is %d",height);*/
	return (height);
}
#endif

#ifdef VOGLFONT
double
getstrwidth (string)
char   *string;
{
    double  width = 0.0;
    float   h, w;
    long    pixel_width;

    pixel_width = strwidth (string);
    width = (double) pixel_width *((WORLD_SIZE * 2.0) / (double) screen_width);

    return (width);
}
#endif

#ifdef VOGLFONT
float
getstrheight (string)
char   *string;
{
    register float height;
    register long pixel_height;

    pixel_height = getheight (string);
    height = (float) pixel_height *((WORLD_SIZE * 2.0) / (float) screen_height);
    return (height);
}
#endif
